require_dependency 'jwt_handler_ruby/application_controller'

module JwtHandlerRuby
  class LoginsController < ApplicationController
    def create
      if JwtHandlerRuby.valid_jwt?(user_jwt)
        cookies[:jwt] = user_jwt
      else
        cookies.delete :jwt
      end
    end

    private

    def user_jwt
      permitted_params[:jwt]
    end

    def permitted_params
      params.permit(:jwt)
    end
  end
end
